Bug 66692 - Perl uses perl to build.
Summary: Perl uses perl to build.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard: triage|leonardjo|closed|currentrelease
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-13 18:30 UTC by hjl
Modified: 2007-04-18 16:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 16:10:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use sed instead of perl for build. (1.04 KB, patch)
2002-06-13 18:31 UTC, hjl
no flags Details | Diff

Description hjl 2002-06-13 18:30:45 UTC
perl.spec has

find . -type f -name makefile | xargs perl -p -i -e 's/<(builtin|command line|b
uilt-in)>//'
find . -type f -name Makefile | xargs perl -p -i -e 's/<(builtin|command line)>
//'

It is bad for building perl the first time. I will submit a patch.

Comment 1 hjl 2002-06-13 18:31:23 UTC
Created attachment 60885 [details]
Use sed instead of perl for build.

Comment 2 Leonard den Ottolander 2004-04-22 16:10:39 UTC
For FC 1 all calls to perl in the spec file are to the already build
binary in $RPM_BUILD_ROOT, so perl does not BuildRequires perl.

Closing CURRENTRELEASE



Note You need to log in before you can comment on or make changes to this bug.